Subject: bug#11985: 24.1; fit-window-to-buffer does not grab whole frame

From: "Roland Winkler" <[email-masked]>
Date: Sat, 28 Jul 2012 17:59:02 -0500

On Sat Jul 21 2012 martin rudalics wrote:
> I have no strong opinion on this and never managed to understand
> how the old window resize routines worked. What about the version
> I attached? If necessary, I can get more aggressive ;-)

I am sorry, this goes much beyond what I feel confident to comment on.

I got into this when working on BBDB. This uses
Electric-pop-up-window. With Emacs 24.1 this function does not
behave anymore as expected.  Electric-pop-up-window
calls fit-window-to-buffer which calls enlarge-window.

In the meanwhile I learnt from Stefan (bug#11983) that it's probably
best for BBDB (and possibly other packages too) to get rid of all
the Electric-* stuff. So I have not much an opinion with respect to 
fit-window-to-buffer, and there is yet less I could say about
enlarge-window.

Anyway, thanks for looking into this!